Subject: Re: bug#52912: 29.0.50; Left over files from native compilation

From: Andrea Corallo <[email-masked]>
Date: Mon, 17 Jan 2022 14:46:14 +0000

Andrea Corallo <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> Andrea Corallo <[email-masked]> writes:
>>
>>> I guess Emacs was brutally killed while building, otherwise we should
>>> clean these.  Not sure how we can do better here, it works exactly as
>>> the byecompiler is working (but is just slower in compiling).
>>
>> I think I've asked this before -- do we have to write the temporary .elc
>> files out to disk at all before doing the .eln compilation?  Can't that
>> work directly from an in-buffer .elc?
>
> I think the same question applies the bytecompiler only:
>
> Do we have to write the temporary .elc files out to disk at all before
> producing and renaming the final .elc?
>
> In general the last action is good to be a file rename as this should be
> atomic.  But that said yes, _when_ we write the temporary file is up to
> us.  Again this is not strictly a native compiler issue, just with the
> native compiler is more likely to be encountered.
>
> Best Regards
>
>   Andrea

Re-reading the whole thread I think I see now what is been suggested.

Yes I think we could postpone not only the renaming of the temporary
.elc but also when this is written down.

I'll try to code up something this week.

Thanks

  Andrea